Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels
Class CLogin

    java.lang.Object
      org.jasig.portal.channels.CLogin

All Implemented Interfaces:
  ICacheable, IChannel, IPrivileged, IPrivilegedChannel

    public class CLogin

extends java.lang.Object
implements IPrivilegedChannel, ICacheable

Allows a user to login to the portal. Login info is posted to `LoginServlet`. If user enters incorrect username and password, he/she is instructed to login again with a different password (the username of the previous attempt is preserved).

Version:
  $Revision: 1.46 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `attemptedUserName`
`private boolean` | `bAuthenticated`
`private boolean` | `bauthenticationAttemptFailed`
`private boolean` | `bSecurityError`
`private ISecurityContext` | `ic`
`private ChannelRuntimeData` | `runtimeData`
`private static java.lang.String` | `sslLocation`
`private ChannelStaticData` | `staticData`
`private static java.lang.String` | `systemCacheId`
`private java.lang.String` | `xslUriForKey`

Constructor Summary
`CLogin()`

Method Summary
`ChannelCacheKey` | `generateKey()` Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.
`ChannelRuntimeProperties` | `getRuntimeProperties()` Acquires ChannelRuntimeProperties from the channel.
`boolean` | `isCacheValid(java.lang.Object validity)` Requests the channel to verify validity of the retreived cache based on the validator object.
`void` | `receiveEvent(PortalEvent ev)` Passes an outside event to a channel.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Ask channel to render its content.
`void` | `setPortalControlStructures(PortalControlStructures pcs)` Passes portal control structure to the channel.
`void` | `setRuntimeData(ChannelRuntimeData rd)` Passes ChannelRuntimeData to the channel.
`void` | `setStaticData(ChannelStaticData sd)` Passes ChannelStaticData to the channel.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### staticData

    private ChannelStaticData staticData

### runtimeData

    private ChannelRuntimeData runtimeData

### attemptedUserName

    private java.lang.String attemptedUserName

### sslLocation

    private static final java.lang.String sslLocation

See Also:
  Constant Field Values

### bAuthenticated

    private boolean bAuthenticated

### bauthenticationAttemptFailed

    private boolean bauthenticationAttemptFailed

### bSecurityError

    private boolean bSecurityError

### xslUriForKey

    private java.lang.String xslUriForKey

### systemCacheId

    private static final java.lang.String systemCacheId

See Also:
  Constant Field Values

### ic

    private ISecurityContext ic

Constructor Detail

### CLogin

    public CLogin()

Method Detail

### setPortalControlStructures

    public void setPortalControlStructures(PortalControlStructures pcs)

  Description copied from interface: `IPrivileged`
  Passes portal control structure to the channel.

  Specified by:
    `setPortalControlStructures` in interface `IPrivileged`
  See Also:
    `PortalControlStructures`

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  Description copied from interface: `IChannel`
  Acquires ChannelRuntimeProperties from the channel. This function may be called by the portal framework throughout the session. Currently, as of uPortal 2.5.1, the framework calls this method after each invocation of renderXML (to determine if there is a dynamic channel title). Prior to uPortal 2.5.1, the framework would not call this method.

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  See Also:
    `ChannelRuntimeProperties`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Description copied from interface: `IChannel`
  Passes an outside event to a channel. Events should normally come from the LayoutBean.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `ev` - PortalEvent object
  See Also:
    `PortalEvent`

### setStaticData

    public void setStaticData(ChannelStaticData sd)

  Description copied from interface: `IChannel`
  Passes ChannelStaticData to the channel. This is done during channel instantiation time. see org.jasig.portal.ChannelStaticData

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `sd` - channel static data
  See Also:
    `ChannelStaticData`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)

  Description copied from interface: `IChannel`
  Passes ChannelRuntimeData to the channel. This function is called prior to the renderXML() call.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `rd` - channel runtime data
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Description copied from interface: `IChannel`
  Ask channel to render its content.

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` - the SAX ContentHandler to output content to
  Throws:
    `PortalException`

### generateKey

    public ChannelCacheKey generateKey()

  Description copied from interface: `ICacheable`
  Requests the channel to generate a key uniqly describing it's current state, and a description of key usage.

  Specified by:
    `generateKey` in interface `ICacheable`

### isCacheValid

    public boolean isCacheValid(java.lang.Object validity)

  Description copied from interface: `ICacheable`
  Requests the channel to verify validity of the retreived cache based on the validator object.

  Specified by:
    `isCacheValid` in interface `ICacheable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD